| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
SeisPacketInfo Class Reference
Seis

Information for a packet of seismics, AKA tape header info. More...

`#include <seispacketinfo.h>`

## Public Member Functions
| SeisPacketInfo ()
virtual | ~SeisPacketInfo ()
void | clear ()
| mOD_DisableCopy (SeisPacketInfo) BufferString usrinfo_

## Static Public Member Functions
static void | initClass ()
static const char * | sBinIDs ()
static const char * | sZRange ()

## Public Attributes
bool & | crlrev
bool | crlrev_ = false
StepInterval< int > & | crlrg
StepInterval< int > | crlrg_
const PosInfo::CubeData * | cubedata_ = nullptr
bool & | fullyrectandreg
bool | fullyrectandreg_ = false
bool & | inlrev
bool | inlrev_ = false
StepInterval< int > & | inlrg
StepInterval< int > | inlrg_
int & | nr
int | nr_ = 0
BufferString & | stdinfo
BufferString | stdinfo_
BufferString & | usrinfo
StepInterval< float > & | zrg
StepInterval< float > | zrg_

## Static Public Attributes
static BufferString | defaultusrinfo_

## Detailed Description

Information for a packet of seismics, AKA tape header info.

<>

## Constructor & Destructor Documentation

## ◆ SeisPacketInfo()

SeisPacketInfo::SeisPacketInfo | ( |  | ) |

## ◆ ~SeisPacketInfo()

virtual SeisPacketInfo::~SeisPacketInfo | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clear()

void SeisPacketInfo::clear | ( |  | ) |

## ◆ initClass()

static void SeisPacketInfo::initClass | ( |  | ) |
| static

## ◆ mOD_DisableCopy()

SeisPacketInfo::mOD_DisableCopy | ( | SeisPacketInfo |  | ) |

## ◆ sBinIDs()

static const char * SeisPacketInfo::sBinIDs | ( |  | ) |
| static

## ◆ sZRange()

static const char * SeisPacketInfo::sZRange | ( |  | ) |
| static

## Member Data Documentation

## ◆ crlrev

bool& SeisPacketInfo::crlrev

## ◆ crlrev_

bool SeisPacketInfo::crlrev_ = false

## ◆ crlrg

StepInterval<int>& SeisPacketInfo::crlrg

## ◆ crlrg_

StepInterval<int> SeisPacketInfo::crlrg_

## ◆ cubedata_

const PosInfo::CubeData* SeisPacketInfo::cubedata_ = nullptr

## ◆ defaultusrinfo_

BufferString SeisPacketInfo::defaultusrinfo_
| static

## ◆ fullyrectandreg

bool& SeisPacketInfo::fullyrectandreg

## ◆ fullyrectandreg_

bool SeisPacketInfo::fullyrectandreg_ = false

## ◆ inlrev

bool& SeisPacketInfo::inlrev

## ◆ inlrev_

bool SeisPacketInfo::inlrev_ = false

## ◆ inlrg

StepInterval<int>& SeisPacketInfo::inlrg

## ◆ inlrg_

StepInterval<int> SeisPacketInfo::inlrg_

## ◆ nr

int& SeisPacketInfo::nr

## ◆ nr_

int SeisPacketInfo::nr_ = 0

## ◆ stdinfo

BufferString& SeisPacketInfo::stdinfo

## ◆ stdinfo_

BufferString SeisPacketInfo::stdinfo_

## ◆ usrinfo

BufferString& SeisPacketInfo::usrinfo

## ◆ zrg

StepInterval<float>& SeisPacketInfo::zrg

## ◆ zrg_

StepInterval<float> SeisPacketInfo::zrg_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025